Mailinglist Archive: yast-devel (77 mails)

< Previous Next >
Re: [yast-devel] Re: [opensuse-factory] System Ugrade: Previously Used Repositories
  • From: Lukas Ocilka <lukas.ocilka@xxxxxxx>
  • Date: Wed, 14 Jan 2009 13:15:12 +0100
  • Message-id: <496DD750.5070009@xxxxxxx>
Benji Weber wrote:
2009/1/13 Duncan Mac-Vicar Prett <dmacvicar@xxxxxxx>:
A solution worth to explore is to start using variables like $releasever
in the .repo files.

So repos with 11.1 would automaitcally be 11.2 afterwards. Of course
still there is the need to check that those repos are valid.

Another possibility would be on upgrade to check for a file in each
repository that would provide the URI of the equivalent repository in
the new distro version.

That would require to initialize the repository at first and then
download an optional file from there, then delete the repository again
and register a new one provided by that file. Which also means we would
have to setup the network before all this.

This could allow the repository publisher to provide an upgrade path
for their repository without being tied to a specific URI format,
moving to alternative locations, consolodation of multiple
repositories into one and so on.

Anyway, these ideas could be also used for a running system as well
(zypper, YaST repositories, ...).

Lukas

< Previous Next >
Follow Ups